export async function buttonTriggeredRequest<T>(e: MouseEvent, promise: Promise<T>) {
	(e.target as HTMLButtonElement).disabled = true;
	await promise;
	(e.target as HTMLButtonElement).disabled = false;
}
